# PostgreSQL configuration file
# This file was automatically generated and dropped off by chef!
# Please refer to the PostgreSQL documentation for details on
# configuration settings.

checkpoint_completion_target = 0.9
data_directory = '/var/lib/postgresql/9.5/main'
datestyle = 'iso, mdy'
default_statistics_target = 100
default_text_search_config = 'pg_catalog.english'
effective_cache_size = '6GB'
external_pid_file = '/var/run/postgresql/9.5-main.pid'
hba_file = '/etc/postgresql/9.5/main/pg_hba.conf'
hot_standby = 'on'
ident_file = '/etc/postgresql/9.5/main/pg_ident.conf'
listen_addresses = '*'
log_checkpoints = on
log_line_prefix = '%t [%p]: [%l-1] db=%d,user=%u '
log_lock_waits = on
maintenance_work_mem = '512MB'
max_connections = 450
max_replication_slots = 2
max_wal_senders = '3'
pg_stat_statements.track = 'all'
port = 5433
shared_buffers = '1GB'
shared_preload_libraries = 'pg_stat_statements'
ssl = on
ssl_cert_file = '/etc/ssl/certs/ssl-cert-snakeoil.pem'
ssl_key_file = '/etc/ssl/private/ssl-cert-snakeoil.key'
unix_socket_directories = '/var/run/postgresql'
wal_buffers = '16MB'
wal_keep_segments = '8'
wal_level = 'hot_standby'
work_mem = '9MB'

